#include "widget.h"
#include "ui_widget.h"

#include <QTimer>
#include <time.h> // rand()

Widget::Widget(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::Widget)
{
	ui->setupUi(this);

	timer = new QTimer(this);
	connect(timer, SIGNAL(timeout()), this, SLOT(run()));

	random_number=0; // 변수 초기화
	count[0]=0;
	count[1]=0;
	count[2]=0;
	count[3]=0;
	count[4]=0;

}

Widget::~Widget()
{
	delete ui;
}

void Widget::on_pushButton_reset_clicked()
{
	timer->stop(); // timer 스톱

	random_number=0; // 변수 초기화
	count[0]=0;
	count[1]=0;
	count[2]=0;
	count[3]=0;
	count[4]=0;

	//모든 레이블 초기화
	ui->label_random->setText(trUtf8(""));
	ui->label_1->setText(trUtf8("0"));
	ui->label_2->setText(trUtf8("0"));
	ui->label_3->setText(trUtf8("0"));
	ui->label_4->setText(trUtf8("0"));
	ui->label_5->setText(trUtf8("0"));

	ui->pushButton_start->setEnabled(true); // 시작버튼 비활성화

}

void Widget::on_pushButton_start_clicked()
{
	ui->pushButton_start->setEnabled(false); // 시작버튼 비활성화

	srand((unsigned)time(NULL)); //랜덤 초기화


	timer->start(0);
}

void Widget::on_pushButton_stop_clicked()
{
	ui->pushButton_start->setEnabled(true); // 시작버튼 비활성화

	timer->stop();
}

void Widget::run()
{
	random_number = rand()%5; // 0~4 사이의 랜덤값 생성
	count[random_number]++; // count값 증가

	ui->label_random->setText(QString::number(random_number+1)); //출력할땐 +1을 해서
	ui->label_1->setText(QString::number(count[0]));
	ui->label_2->setText(QString::number(count[1]));
	ui->label_3->setText(QString::number(count[2]));
	ui->label_4->setText(QString::number(count[3]));
	ui->label_5->setText(QString::number(count[4]));
}

void Widget::closeEvent(QCloseEvent *event)
{
	on_pushButton_reset_clicked(); // closeEvent시 초기화
}
