#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>


namespace Ui {
	class Widget;
}

class Widget : public QWidget
{
	Q_OBJECT

public:
	explicit Widget(QWidget *parent = 0);
	~Widget();
	void closeEvent(QCloseEvent *event);  // closeEvent 추가

private:
	Ui::Widget *ui;

	// 1~5번레이블 카운트를 저장할 정수배열
	int random_number;  // <--- 직접생성
	int count[5];  // <--- 직접생성

	// 타이머
	QTimer *timer;  // <--- 직접생성

signals:
	void Killed();

private slots:
	void on_pushButton_stop_clicked();
	void on_pushButton_start_clicked();
	void on_pushButton_reset_clicked();

	// 타이머 timeout() 시그널시 실행될 슬롯
	void run();  // <--- 직접생성
};

#endif // WIDGET_H
